## Potmobile

Fixes up the Potmobile and Hauler so that it's *technically possible* to complete a run with them. Reaching the Commencement jump pads will be ***MEMORABLE***.

Don't noclip with it since it will spam your console with errors.

Internal bodyname is MoffeinPotmobileBody and MoffeinHaulerBody

![image](https://i.imgur.com/LFvMsDc.jpg)
![image](https://i.imgur.com/BWsbrt1.jpg)

Commissioned by DaltonGoesFast

## Additional Features

- Can be enabled as an enemy. (Disabled by default)
- Can  make it so that you spawn with an Eccentric Vase to skip platforming sections. (Disabled by default)

## Full List of Fixes/Changes

- General
	- Added to character select screen.
	- Fixed out of bounds teleport not working.
	- Fixed jump pads not working.
	- Added interactor.
	- Added hurtbox.
	- Added enemy AI.
	- Added reversing.
	- Added ram damage.
	
- Skills
	- Primary now fires an actual projectile.
	- Added Secondary: vertical jump
	- Added Utility: boost
	- Added Special: flips you over so you don't get stuck upside down.

## Installation

Drop the Moffein-Potmobile folder into \BepInEx\plugins\

## Changelog

`1.2.3`

- Fixed ramming dealing friendly fire damage.

`1.2.2`

- Potmobile
	- Increased ram hitbox size.
	- Increased ram min damage coefficient from 250% -> 300%
	
	*Ramming with this felt a bit too unforgiving/unrewarding considering its poor handling.*

`1.2.1`

- Hauler reverse speed penalty reduced from 0.5 -> 0.8 since it was having trouble reversing on slopes.
- Fixed ClassicItems Scepter replacing the Secondary instead of Primary.

`1.2.0`

- Boosting now counts as sprinting.
- Now deals damage when ramming enemies.
	- Does not affect other player-controlled Potmobiles/Haulers. (Configurable)
	- Enemy Potmobiles/Haulers don't deal ram damage. (Configurable)
	- Damage scales with speed.
		- Hauler has higher ram damage.
- Scepter Skill: Giga Pot Shot
	- +100% damage and AoE
- Added honking.
	- No bind by default, need to set it in config.
	- Can be set via the Risk of Options menu.
- Added config options for modifying vehicle impact force against enemies.

`1.1.1`

- Fixed Allow Reverse config option.

`1.1.0`

*Delete and regenerate your config, a lot has changed!*

- Adjusted hurtbox.
- Added reversing.
	- The turning is a bit unintuitive.
- Added Hauler
- Updated the localization files.
	- New Survivor Overview (Thanks DaltonGoesFast!)
- Added Network check to GiveItemsOnSpawn component.

`1.0.1`

- Added missing PrefabAPI dependency to manifest.

`1.0.0`

- Release.